text-0.11.1.5: An efficient packed Unicode text type.

Data.Text.Lazy.Builder.RealFloat

Description

Write a floating point value to a `Builder`.

Synopsis

- data FPFormat
  - = Exponent
  - | Fixed
  - | Generic
- realFloat :: RealFloat a => a -> Builder
- formatRealFloat :: RealFloat a => FPFormat -> Maybe Int -> a -> Builder

# Documentation

data FPFormat

Control the rendering of floating point numbers.

Constructors

Exponent | Scientific notation (e.g. `2.3e123`).
Fixed | Standard decimal notation.
Generic | Use decimal notation for values between `0.1` and `9,999,999`, and scientific notation otherwise.

Instances

Enum FPFormat |
Read FPFormat |
Show FPFormat |

realFloat :: RealFloat a => a -> Builder

Show a signed `RealFloat` value to full precision, using standard decimal notation for arguments whose absolute value lies between `0.1` and `9,999,999`, and scientific notation otherwise.

formatRealFloat

Arguments

:: RealFloat a |
=> FPFormat |
-> Maybe Int | Number of decimal places to render.
-> a |
-> Builder |